APG PayAPG Paydocs

Identity

OIDC authorise

GET/oidc/oauth2/authorise
Request
GEThttps://api.tst.au.apgpay.dev/oidc/oauth2/authorise
curl -X GET https://api.tst.au.apgpay.dev/oidc/oauth2/authorise \
  -H "Authorization: Bearer $API_KEY"

Begin an authorisation-code flow with PKCE. Answers with a redirect carrying the code.

Query parameters

response_typestring
required
client_idstring
required
redirect_uristring
required
scopestring
statestring
code_challengestring
code_challenge_methodstring

Responses

No response body.

Error responses